﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.PartInfo;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder
@*@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierProfile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{*@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Area Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td> 
        <td align="right">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHAreaCodeArea";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "AREA_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "Area", Action = "PartialHeaderAreaGridHeaderArea" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "AreaCode";
                        column.FieldName = "AREA_CD";
                        column.Caption = "Area<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "AreaName";
                        column.FieldName = "AREA_NM";
                        column.Caption = "Area<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridArea"]).GetHtml()
        </td>
        
     <td style="width:20px"></td> @* column spacing *@
        <td>
           
        </td>
        
        <td style="width:20px"></td> @* column spacing *@
       
       
       
         <td align="right">
           @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchArea";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClearArea";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }).GetHtml()
                  
                 @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAddArea";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddArea";
                }
            ).GetHtml()
         </td>
    
    </tr>
</table>
<div style="height:15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="right"style="padding-right:10px;">
                  
        </td>         
    </tr>
</table>
@*}*@